Skip to main content
`Ctrl`+`K`

# DMPlexComputeBdResidualSingleByKey

Compute the local boundary residual for terms matching the input key

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeBdResidualSingleByKey(DM dm, PetscWeakForm wf, PetscFormKey key, IS facetIS, Vec locX, Vec locX_t, PetscReal t, DMField coordField, Vec locF)

Not collective

## Input Parameters

- dm - The output `DM`

- wf - The `PetscWeakForm` holding forms on this boundary

- key - The `PetscFormKey` indicating what should be integrated

- facetIS - The `IS` giving a set of faces to integrate over

- locX - The local solution

- locX_t - The time derivative of the local solution, or `NULL` for time-independent problems

- t - The time

- coordField - The `DMField` object with coordinates for these faces

## Output Parameter

- locF - The local residual

## See Also

`DMPlexComputeBdResidualSingle()`, `DMPlexComputeJacobianByKey()`, `DMPlexComputeResidualHybridByKey()`, `DMPlexComputeJacobianHybridByKey()`, `PetscFormKey`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages